-- 基础信息
base_info = {
	group_id = 247007003
}

-- DEFS_MISCS
local GroupId = 247007003
local point_id_list = {}
local MainGroupID = 247007001
local RegionID = 3001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 3001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.021, y = 0.092, z = 80.113 } }
}

-- 触发器
triggers = {
	{ config_id = 1003001, name = "ENTER_REGION_3001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 3002, pos = { x = -3.913, y = 0.149, z = 87.781 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 4.171, y = 0.147, z = 87.727 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 0.066, y = 0.143, z = 88.672 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = -7.090, y = 0.163, z = 86.566 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 7.130, y = 0.157, z = 86.125 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 3007, pos = { x = -8.310, y = 0.147, z = 83.844 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 3008, pos = { x = 8.798, y = 0.152, z = 83.859 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 3009, pos = { x = -8.561, y = 0.142, z = 80.138 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 3010, pos = { x = 8.899, y = 0.150, z = 80.154 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 3011, pos = { x = 0.101, y = 0.156, z = 88.211 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 3012, pos = { x = -5.685, y = 0.167, z = 87.279 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 3013, pos = { x = 5.792, y = 0.142, z = 87.244 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 3014, pos = { x = -8.629, y = 0.150, z = 82.600 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 3015, pos = { x = 8.922, y = 0.148, z = 82.605 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 3016, pos = { x = -8.614, y = 0.144, z = 77.715 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 3017, pos = { x = 8.828, y = 0.143, z = 77.770 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 3018, pos = { x = -5.636, y = 0.142, z = 73.047 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 3019, pos = { x = 5.721, y = 0.142, z = 72.963 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 3020, pos = { x = 0.002, y = 0.142, z = 72.168 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3021, pos = { x = -7.114, y = 0.184, z = 87.295 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 3022, pos = { x = 7.166, y = 0.159, z = 87.298 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 3023, pos = { x = -7.111, y = 0.142, z = 72.944 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 3024, pos = { x = 7.089, y = 0.142, z = 73.022 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3025, pos = { x = 0.191, y = 0.159, z = 87.543 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3026, pos = { x = -0.007, y = 0.142, z = 72.786 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3027, pos = { x = -8.088, y = 0.142, z = 80.117 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 3028, pos = { x = 8.287, y = 0.145, z = 80.082 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 3029, pos = { x = -7.983, y = 0.144, z = 76.053 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 3030, pos = { x = 7.985, y = 0.151, z = 83.491 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 3031, pos = { x = 3.424, y = 0.142, z = 72.469 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 3032, pos = { x = -3.828, y = 0.167, z = 87.391 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 3033, pos = { x = -5.045, y = 0.050, z = 83.169 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 3001 },
		triggers = { "ENTER_REGION_3001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
